
QGIS Application - Bug report #5062

WMS support broken in QGIS master

2012-02-21 02:53 AM - Giovanni Manghi

Status: Closed

Priority: High

Assignee:

Category: Web Services clients/WMS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 14830

Description

When adding a WMS layer a new (unespected?) dialog is presented asking "select raster layer to add...". The user select the layer

(again?) and then it returns to the main WMS dialog. See ttached image. Tested on both Windows and Linux.

Associated revisions

Revision 927dcbd7 - 2012-02-21 01:43 PM - Jürgen Fischer

fix #5062 and apply rest of #5041

Revision 083e4c73 - 2012-02-22 12:53 AM - Nathan Woodrow 

Set delete feature dialog parent. Fixes #5062

History

#1 - 2012-02-21 03:31 AM - zirneklitis -

Just tested with OSGeo4W version. Works as expected – no mystical pop-up window and WMS layer is added.

QGIS version        1.9.90-Alpha

QGIS code revision  dd60292

Compiled against Qt 4.7.1

Running against Qt  4.7.1

GDAL/OGR Version    1.8.1

GEOS Version        3.2.2

PostgreSQL Client Version 8.3.10

SpatiaLite Version  2.4.0

QWT Version         5.2.1

This copy of QGIS writes debugging output.

#2 - 2012-02-21 03:36 AM - zirneklitis -

Just tested on Fedora 14. QGIS was compiled from source.  It was impossible to add WMS layer :(

QGIS version          1.9.90-Alpha

QGIS code revision    3bfbb59

Compiled against Qt   4.7.4
Running against Qt    4.7.4

GDAL/OGR Version      1.7.3

GEOS Version          3.2.1

PostgreSQL Client Version  8.4.10

SpatiaLite Version    2.4.0

QWT Version           5.2.1

#3 - 2012-02-21 04:43 AM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"927dcbd755d69b571195c321561dba192c0f855e".

#4 - 2012-02-21 04:55 AM - zirneklitis -

Just renewed my OSGeo4W. WMS does not work any more :(

QGIS version 1.9.90-Alpha

QGIS code revision 3bfbb59

Compiled against Qt 4.7.1

Running against Qt 4.7.1

GDAL/OGR Version 1.8.1

GEOS Version 3.2.2

PostgreSQL Client Version 8.3.10

SpatiaLite Version 2.4.0

QWT Version 5.2.1

This copy of QGIS writes debugging output.

#5 - 2012-02-21 04:57 AM - Giovanni Manghi

zirneklitis - wrote:

Just renewed my OSGeo4W. WMS does not work any more :(

it has been fixed by Jurgen minutes ago. Just compile again.

#6 - 2012-02-21 05:04 AM - Jürgen Fischer

- Resolution set to fixed

Giovanni Manghi wrote:

it has been fixed by Jurgen minutes ago. Just compile again.

That commit comment it right before the second OSGeo4W comment.
#7 - 2012-02-21 05:35 AM - zirneklitis -

Rebuild from source on Fedora 14x64. WMS works as expected. :)
